Subject: Re: TCP connections stall when station re-associates.

From: Ben Greear <greearb-my8/[email-masked]>
Date: Wed, 12 Jan 2011 13:19:51 -0800

On 01/11/2011 05:02 PM, Ben Greear wrote:
>
> We're seeing something funny while testing ath9k and ath5k with
> multiple VIFs. We are using send-to-self routing rules
> and have a TCP connection going between two station interfaces
> connected to the same AP. Kernel is ~2.6.37 (wireless-testing from
> a few days ago, plus some local patches). We tried commercial
> APs and ath9k/ath5k APs running 2.6.37 kernel and hostap with
> similar results.

When the stations re-connect, we re-run dhcp client, which involves
setting IP to zero and then re-acquiring the IP address.  We
then set up new routing rules, etc to have it back to the way
it was before the station lost contact with the AP.

The TCP/IP connections are specifically bound to local IP and port.

Maybe it is invalid to expect TCP connections to survive this
IP change?

I'll work on reproducing this DHCP behaviour on some regular
wired interfaces and see if I can reproduce in a simpler test
case.

Thanks,
Ben

-- 
Ben Greear <greearb-my8/[email-masked]>
Candela Technologies Inc  http://www.candelatech.com
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html